import { Component } from "flagwind-web";
import "./index.scss";
import { editor } from "monaco-editor";
import IStandaloneCodeEditor = editor.IStandaloneCodeEditor;
export declare type Editor = IStandaloneCodeEditor & {
    insert: Function;
};
export default class CodeEditor extends Component {
    value: string;
    lang: string;
    monacoEditor: IStandaloneCodeEditor;
    init(): void;
    mounted(): void;
    valueChange(): void;
    insert(content: string): void;
}
